test:ubuntu_cpp:
  stage: test
  needs: ["build:ubuntu_cpp"]
  tags:
    - docker
  image: n2d2-ci/ubuntu20.04/cpu:latest
  script:
    - cd build_cpp
    - ctest --output-on-failure

test:ubuntu_python:
  stage: test
  needs: ["build:ubuntu_python"]
  tags:
    - docker
  image: n2d2-ci/ubuntu20.04/cpu:latest
  script:
    - source venv/bin/activate
    - cd aidge_core
    - python3 -m pip list
    # Run on discovery all tests located in core/unit_tests/python and discard the stdout 
    # only to show the errors/warnings and the results of the tests
    - python3 -m unittest discover -s unit_tests/ -v -b 1> /dev/null
